FreeMat

- Main Page
- Related Pages

vtkRectilinearGridSource

Section: Visualization Toolkit Filtering Classes

# Usage

vtkRectilinearGridSource is an abstract class whose subclasses generate rectilinear grid data.

To create an instance of class vtkRectilinearGridSource, simply invoke its constructor as follows

      obj = vtkRectilinearGridSource

# Methods

The class vtkRectilinearGridSource has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkRectilinearGridSource class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkRectilinearGridSource = obj.NewInstance ()`
- `vtkRectilinearGridSource = obj.SafeDownCast (vtkObject o)`
- `vtkRectilinearGrid = obj.GetOutput ()` - Get the output of this source.
- `vtkRectilinearGrid = obj.GetOutput (int idx)` - Get the output of this source.
- `obj.SetOutput (vtkRectilinearGrid output)` - Get the output of this source.